/*
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_BIBTEX_STRING_H
#define __XFBIB_BIBTEX_STRING_H

#include <glib-object.h>
#include "xfbib-bibtex-value.h"

#define XFBIB_TYPE_BIBTEX_STRING             (xfbib_bibtex_string_get_type())
#define XFBIB_BIBTEX_STRING(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_BIBTEX_STRING, XfbibBibtexString))
#define XFBIB_IS_BIBTEX_STRING(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_BIBTEX_STRING))
#define XFBIB_BIBTEX_STRING_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_BIBTEX_STRING, XfbibBibtexStringClass))
#define XFBIB_IS_BIBTEX_STRING_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_BIBTEX_STRING))
#define XFBIB_BIBTEX_STRING_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_BIBTEX_STRING, XfbibBibtexStringClass))

G_BEGIN_DECLS

enum {
	XFBIB_BIBTEX_STRING_VARIABLE = 0,
	XFBIB_BIBTEX_STRING_VALUE,
	XFBIB_BIBTEX_STRING_N_STRINGS,
};

typedef struct _XfbibBibtexString         XfbibBibtexString;

GType xfbib_bibtex_string_get_type() G_GNUC_CONST;

XfbibBibtexString *xfbib_bibtex_string_new(GObject *);
GObject *xfbib_bibtex_string_get_owner(XfbibBibtexString *);
const gchar *xfbib_bibtex_string_get_variable(XfbibBibtexString *);
void xfbib_bibtex_string_set_variable(XfbibBibtexString *, const gchar *);
XfbibBibtexValue *xfbib_bibtex_string_get_value(XfbibBibtexString *);
void xfbib_bibtex_string_set_value(XfbibBibtexString *, XfbibBibtexValue *);
gboolean xfbib_bibtex_string_parse(XfbibBibtexString *, const gchar *);
gchar xfbib_bibtex_string_get_separator(XfbibBibtexString *);
gint xfbib_bibtex_string_get_internal(XfbibBibtexString *);
void xfbib_bibtex_string_set_internal(XfbibBibtexString *, gint);

G_END_DECLS

#endif //__XFBIB_BIBTEX_STRING_H

