/* 
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_INTEGER_H
#define __XFBIB_INTEGER_H

#include <glib-object.h>

#define XFBIB_TYPE_INTEGER             (xfbib_integer_get_type())
#define XFBIB_INTEGER(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_INTEGER, XfbibInteger))
#define XFBIB_IS_INTEGER(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_INTEGER))
#define XFBIB_INTEGER_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_INTEGER, XfbibIntegerClass))
#define XFBIB_IS_INTEGER_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_INTEGER))
#define XFBIB_INTEGER_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_INTEGER, XfbibIntegerClass))

G_BEGIN_DECLS

typedef struct _XfbibInteger         XfbibInteger;

GType xfbib_integer_get_type() G_GNUC_CONST;

XfbibInteger *xfbib_integer_new();
gchar *xfbib_integer_get(XfbibInteger *);
void xfbib_integer_set(XfbibInteger *, const gchar *);

G_END_DECLS

#endif //__XFBIB_INTEGER_H

