/* 
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <gtk/gtk.h>

#include "xfbib-statusbar.h"

struct _XfbibStatusbar
{
	GtkStatusbar parent;
};

typedef struct _XfbibStatusbarClass
{
	GtkStatusbarClass parent;
} XfbibStatusbarClass;

static void xfbib_statusbar_class_init(XfbibStatusbarClass *klass);

static void xfbib_statusbar_init(XfbibStatusbar *instance);
static void xfbib_statusbar_finalize(GObject *obj);

static GObjectClass *xfbib_statusbar_parent_class = NULL;

GType
xfbib_statusbar_get_type (void)
{
	static GType type = 0;
	if (type == 0) {
		static const GTypeInfo info = {
			sizeof (XfbibStatusbarClass),
			NULL,   /* base_init */
			NULL,   /* base_finalize */
			(GClassInitFunc) xfbib_statusbar_class_init,   /* class_init */
			NULL,   /* class_finalize */
			NULL,   /* class_data */
			sizeof (XfbibStatusbar),
			0,      /* n_preallocs */
			(GInstanceInitFunc) xfbib_statusbar_init    /* instance_init */
		};
		type = g_type_register_static (GTK_TYPE_STATUSBAR, "XfbibStatusbar", &info, 0);
	}
	return type;
}

	
static void
xfbib_statusbar_class_init(XfbibStatusbarClass *klass)
{
	GObjectClass *object_class = (GObjectClass *)klass;
	
	xfbib_statusbar_parent_class = g_type_class_peek_parent (klass); 

	object_class->finalize = xfbib_statusbar_finalize;
}

static void
xfbib_statusbar_init(XfbibStatusbar *instance)
{
}

static void
xfbib_statusbar_finalize(GObject *obj)
{
	G_OBJECT_CLASS(xfbib_statusbar_parent_class)->finalize(obj);
}

GtkWidget *
xfbib_statusbar_new()
{
	XfbibStatusbar *statusbar;
	statusbar = g_object_new(XFBIB_TYPE_STATUSBAR, NULL);
	
	return GTK_WIDGET(statusbar);
}

